Qt 5.9 | Qt 3D | QML Types | Scene3D QML Type

Qt 5.9.9 Reference Documentation

# Scene3D QML Type

The Scene3D type is used to integrate a Qt3D scene into a QtQuick 2 scene. More...

Import Statement: | import Qt3D.Scene3D 2.0

- List of all members, including inherited members

## Properties

- aspects : list<string>
- cameraAspectRatioMode : enumeration
- entity : Entity
- hoverEnabled : bool
- multisample : bool

## Methods

- void setItemAreaAndDevicePixelRatio(size area, real devicePixelRatio)

## Detailed Description

The Scene3D type renders a Qt3D scene, provided by an Entity, into a multisampled Framebuffer object. This object is later blitted into a non-multisampled Framebuffer object, which is then rendered with premultiplied alpha.

## Property Documentation

aspects : list<string>

cameraAspectRatioMode : enumeration

Constant | Description
--- | ---
`Scene3D.AutomaticAspectRatio` | Automatic aspect ratio.
`Scene3D.UserAspectRatio` | User defined aspect ratio.

[default] entity : Entity

hoverEnabled : bool

`true` if hover events are accepted.

multisample : bool

`true` if a multi-sample render buffer is in use.

## Method Documentation

void setItemAreaAndDevicePixelRatio(size area, real devicePixelRatio)